# Connect API Reference

The JFrog Connect API v2 enables programmatic access to and control of Connect’s basic functions, which is ideal for managing your devices. The automation capabilities that the REST API provides are crucial for the management of accounts with a large number of edge devices.

The API enables you to embed Connect functionality into your CI/CD pipeline and to deploy over-the-air updates as part of new application releases. You can also use the API to create a custom dashboard or integrate Connect information with an existing dashboard.

The v2 API has API requests that enable you to get information about your devices, update device information, add tags to devices, and create and deploy [software update flows](https://docs.connect.jfrog.io/features/deployment/update-flow).

## Authorization

You will need to get an access token from the Connect web UI to use the Connect API v2. The v1 token will not work for v2.

* If you are using the old web UI, see [Create Access Token](/developers/api-reference/create-access-token.md).
* If you are using the new UI, see [Create Access Token - New UI](/developers/api-reference/create-access-token-1.md).

> **Important**: For security reasons, the new token generated by Connect will not be stored. Ensure that you copy the token and save it in a safe place.

## Base URL

In the Connect API v2, the URLs have the form:

`{{base_url}}/api/v2/...`

For example, a URL for Get Device, using "demo" as `project_key` and "d-feaf-d9aa" as `device_uuid` would be:

`{{base_url}}/api/v2/demo/devices/d-feaf-d9aa`

### **Cloud**

If you are a cloud user of Connect (i.e., multi-tenant SaaS), the `base_url` is:

`https://api.connect.jfrog.io`

So an example of the full URL for the above request would be:

`https://api.connect.jfrog.io/api/v2/demo/devices/d-feaf-d9aa`

This is the base URL used throughout the API reference documentation.

## What's Next?

Learn how to get an access token for using the API: [Old UI](/developers/api-reference/create-access-token.md), [New UI](/developers/api-reference/create-access-token-1.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connect.jfrog.io/developers/api-reference/connect-api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
